summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMeik Frischke <meik.frischke@gmail.com>2020-01-02 12:47:32 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-01-02 12:49:08 +0100
commit0a1e8a4363f135e88b95d2f0d080e85fe878b76d (patch)
tree8e098f45668295c3e55a014e64068757e120a338 /games-engines
parentgames-engines/devilutionx: Revbump to handle build options better (diff)
downloadgentoo-0a1e8a4363f135e88b95d2f0d080e85fe878b76d.tar.gz
gentoo-0a1e8a4363f135e88b95d2f0d080e85fe878b76d.tar.bz2
gentoo-0a1e8a4363f135e88b95d2f0d080e85fe878b76d.zip
games-engines/devilutionx: Use CharisSIL-B.ttf font
Install desktop icons and improved .desktop entry Closes: https://bugs.gentoo.org/704508 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'games-engines')
-rw-r--r--games-engines/devilutionx/devilutionx-1.0.0-r1.ebuild11
1 files changed, 9 insertions, 2 deletions
diff --git a/games-engines/devilutionx/devilutionx-1.0.0-r1.ebuild b/games-engines/devilutionx/devilutionx-1.0.0-r1.ebuild
index fb3f84ae0c4..b363bc7378a 100644
--- a/games-engines/devilutionx/devilutionx-1.0.0-r1.ebuild
+++ b/games-engines/devilutionx/devilutionx-1.0.0-r1.ebuild
@@ -29,6 +29,7 @@ IUSE="debug lto"
RDEPEND="
dev-libs/libsodium
+ media-fonts/sil-charis
media-libs/libsdl2[haptic]
media-libs/sdl2-mixer
media-libs/sdl2-ttf
@@ -39,7 +40,10 @@ BDEPEND="
"
src_prepare() {
- sed "/PROJECT_VERSION/s|@PROJECT_VERSION@|${PV}|" -i SourceS/config.h.in || die
+ sed "/PROJECT_VERSION/s|@PROJECT_VERSION@|${PV}|" \
+ -i SourceS/config.h.in || die
+ sed 's/CharisSILB.ttf/CharisSIL-B.ttf/g' \
+ -i SourceX/DiabloUI/fonts.h || die
cmake_src_prepare
}
@@ -57,7 +61,10 @@ src_configure() {
src_install() {
dobin "${BUILD_DIR}/${PN}"
- make_desktop_entry ${PN} "Diablo devolved"
+
+ newicon -s 32 Packaging/resources/Diablo_32.png ${PN}.png
+ newicon -s 48 Packaging/resources/Diablo_48.png ${PN}.png
+ make_desktop_entry ${PN} "Diablo devolved" "/usr/share/icons/hicolor/48x48/apps/devilutionx.png"
}
pkg_postinst() {